Page MenuHomeFreeBSD

riscv: Rename struct pmap's pm_l1 field to pm_top
ClosedPublic

Authored by markj on Feb 14 2022, 10:29 PM.

Details

Summary

In SV48 mode, the top-level page will be an L0 page rather than an L1
page. Rename the field accordingly. No functional change intended.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhb added a subscriber: jhb.

Is it L-1 for SV57? :-P

This revision is now accepted and ready to land.Feb 14 2022, 10:56 PM
In D34270#775783, @jhb wrote:

Is it L-1 for SV57? :-P

I think at that point it'll be time to factor some of the page table management code out into an MI layer. Then I'd use L0 instead of L3 to refer to leaf PTPs, L1 instead of L2, etc..

This revision now requires review to proceed.Feb 18 2022, 2:27 PM
This revision was not accepted when it landed; it landed in state Needs Review.Mar 1 2022, 2:40 PM
This revision was automatically updated to reflect the committed changes.